Customers 22 endpoints

DELETE /v1/customers/{customer}/discount

Removes the currently applied discount on a customer.

operationId: DeleteCustomersCustomerDiscount

Parameters

Name In Required Type Description
customer path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/customers/{customer}/discount
GET /v1/customers/{customer}/discount
operationId: GetCustomersCustomerDiscount

Parameters

Name In Required Type Description
customer path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/discount
POST /v1/customers/{customer}/funding_instructions

Retrieve funding instructions for a customer cash balance. If funding instructions do not yet exist for the customer, new funding instructions will be created. If funding instructions have already been created for a given customer, the same funding instructions will be retrieved. In other words, we will return the same funding instructions each time.

operationId: PostCustomersCustomerFundingInstructions

Parameters

Name In Required Type Description
customer path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
currency string required
funding_type string required
bank_transfer object required
type string required
eu_bank_transfer object optional
country string required
requested_address_types array optional

Responses

default

Error response.

200

Successful response.

POST /v1/customers/{customer}/funding_instructions
GET /v1/customers/{customer}/payment_methods

Returns a list of PaymentMethods for a given Customer

operationId: GetCustomersCustomerPaymentMethods

Parameters

Name In Required Type Description
allow_redisplay query optional string

This field indicates whether this payment method can be shown again to its customer in a checkout flow. Stripe products such as Checkout and Elements use this field to determine whether a payment method can be shown as a saved payment method in a checkout flow.

customer path required string
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

type query optional string

An optional filter on the list, based on the object type field. Without the filter, the list includes all current and future payment method types. If your integration expects only one type of payment method in the response, make sure to provide a type value in the request.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/payment_methods
GET /v1/customers/{customer}/payment_methods/{payment_method}

Retrieves a PaymentMethod object for a given Customer.

operationId: GetCustomersCustomerPaymentMethodsPaymentMethod

Parameters

Name In Required Type Description
customer path required string
expand query optional array

Specifies which fields in the response should be expanded.

payment_method path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/payment_methods/{payment_method}
GET /v1/customers/{customer}/sources

List sources for a specified customer.

operationId: GetCustomersCustomerSources

Parameters

Name In Required Type Description
customer path required string
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

object query optional string

Filter sources according to a particular object type.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/sources
POST /v1/customers/{customer}/sources

When you create a new credit card, you must specify a customer or recipient on which to create it.

If the card’s owner has no default card, then the new card will become the default. However, if the owner already has a default, then it will not change. To change the default, you should update the customer to have a new default_source.

operationId: PostCustomersCustomerSources

Parameters

Name In Required Type Description
customer path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
card object optional
expand array optional
source string optional
metadata object optional
bank_account object optional
alipay_account string optional

Responses

default

Error response.

200

Successful response.

POST /v1/customers/{customer}/sources
DELETE /v1/customers/{customer}/sources/{id}

Delete a specified source for a given customer.

operationId: DeleteCustomersCustomerSourcesId

Parameters

Name In Required Type Description
customer path required string
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

DELETE /v1/customers/{customer}/sources/{id}
GET /v1/customers/{customer}/sources/{id}

Retrieve a specified source for a given customer.

operationId: GetCustomersCustomerSourcesId

Parameters

Name In Required Type Description
customer path required string
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/sources/{id}
POST /v1/customers/{customer}/sources/{id}

Update a specified source for a given customer.

operationId: PostCustomersCustomerSourcesId

Parameters

Name In Required Type Description
customer path required string
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
name string optional
owner object optional
name string optional
email string optional
phone string optional
address object optional
city string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
expand array optional
exp_year string optional
metadata object optional
exp_month string optional
address_zip string optional
address_city string optional
address_line1 string optional
address_line2 string optional
address_state string optional
address_country string optional
account_holder_name string optional
account_holder_type string optional

Responses

default

Error response.

200

Successful response.

POST /v1/customers/{customer}/sources/{id}
POST /v1/customers/{customer}/sources/{id}/verify

Verify a specified bank account for a given customer.

operationId: PostCustomersCustomerSourcesIdVerify

Parameters

Name In Required Type Description
customer path required string
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
amounts array optional

Responses

default

Error response.

200

Successful response.

POST /v1/customers/{customer}/sources/{id}/verify
GET /v1/customers/{customer}/subscriptions

You can see a list of the customer’s active subscriptions. Note that the 10 most recent active subscriptions are always available by default on the customer object. If you need more than those 10, you can use the limit and starting_after parameters to page through additional subscriptions.

operationId: GetCustomersCustomerSubscriptions

Parameters

Name In Required Type Description
customer path required string
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/subscriptions
POST /v1/customers/{customer}/subscriptions

Creates a new subscription on an existing customer.

operationId: PostCustomersCustomerSubscriptions

Parameters

Name In Required Type Description
customer path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
items array optional
price string optional
metadata object optional
quantity integer optional
discounts object optional
tax_rates object optional
price_data object optional
product string required
currency string required
recurring object required
interval string required
interval_count integer optional
unit_amount integer optional
tax_behavior string optional
unit_amount_decimal string optional
billing_thresholds object optional
expand array optional
currency string optional
metadata object optional
cancel_at object optional
discounts object optional
trial_end object optional
off_session boolean optional
automatic_tax object optional
enabled boolean required
liability object optional
type string required
account string optional
transfer_data object optional
destination string required
amount_percent number optional
days_until_due integer optional
default_source string optional
trial_settings object optional
end_behavior object required
missing_payment_method string required
trial_from_plan boolean optional
invoice_settings object optional
issuer object optional
type string required
account string optional
account_tax_ids object optional
payment_behavior string optional
payment_settings object optional
payment_method_types object optional
payment_method_options object optional
pix object optional
upi object optional
card object optional
payto object optional
konbini object optional
acss_debit object optional
bancontact object optional
sepa_debit object optional
us_bank_account object optional
customer_balance object optional
save_default_payment_method string optional
add_invoice_items array optional
price string optional
period object optional
end object required
type string required
timestamp integer optional
start object required
type string required
timestamp integer optional
metadata object optional
quantity integer optional
discounts array optional
coupon string optional
discount string optional
promotion_code string optional
tax_rates object optional
price_data object optional
product string required
currency string required
unit_amount integer optional
tax_behavior string optional
unit_amount_decimal string optional
collection_method string optional
default_tax_rates object optional
…9 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/customers/{customer}/subscriptions
DELETE /v1/customers/{customer}/subscriptions/{subscription_exposed_id}

Cancels a customer’s subscription. If you set the at_period_end parameter to true, the subscription will remain active until the end of the period, at which point it will be canceled and not renewed. Otherwise, with the default false value, the subscription is terminated immediately. In either case, the customer will not be charged again for the subscription.

Note, however, that any pending invoice items that you’ve created will still be charged for at the end of the period, unless manually deleted. If you’ve set the subscription to cancel at the end of the period, any pending prorations will also be left in place and collected at the end of the period. But if the subscription is set to cancel immediately, pending prorations will be removed.

By default, upon subscription cancellation, Stripe will stop automatic collection of all finalized invoices for the customer. This is intended to prevent unexpected payment attempts after the customer has canceled a subscription. However, you can resume automatic collection of the invoices manually after subscription cancellation to have us proceed. Or, you could check for unpaid invoices before allowing the customer to cancel the subscription at all.

operationId: DeleteCustomersCustomerSubscriptionsSubscriptionExposedId

Parameters

Name In Required Type Description
customer path required string
subscription_exposed_id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
prorate boolean optional
invoice_now boolean optional

Responses

default

Error response.

200

Successful response.

DELETE /v1/customers/{customer}/subscriptions/{subscription_exposed_id}
GET /v1/customers/{customer}/subscriptions/{subscription_exposed_id}

Retrieves the subscription with the given ID.

operationId: GetCustomersCustomerSubscriptionsSubscriptionExposedId

Parameters

Name In Required Type Description
customer path required string
expand query optional array

Specifies which fields in the response should be expanded.

subscription_exposed_id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/subscriptions/{subscription_exposed_id}
POST /v1/customers/{customer}/subscriptions/{subscription_exposed_id}

Updates an existing subscription on a customer to match the specified parameters. When changing plans or quantities, we will optionally prorate the price we charge next month to make up for any price changes. To preview how the proration will be calculated, use the upcoming invoice endpoint.

operationId: PostCustomersCustomerSubscriptionsSubscriptionExposedId

Parameters

Name In Required Type Description
customer path required string
subscription_exposed_id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
items array optional
id string optional
price string optional
deleted boolean optional
metadata object optional
quantity integer optional
discounts object optional
tax_rates object optional
price_data object optional
product string required
currency string required
recurring object required
interval string required
interval_count integer optional
unit_amount integer optional
tax_behavior string optional
unit_amount_decimal string optional
clear_usage boolean optional
billing_thresholds object optional
expand array optional
metadata object optional
cancel_at object optional
discounts object optional
trial_end object optional
off_session boolean optional
automatic_tax object optional
enabled boolean required
liability object optional
type string required
account string optional
transfer_data object optional
days_until_due integer optional
default_source object optional
proration_date integer optional
trial_settings object optional
end_behavior object required
missing_payment_method string required
trial_from_plan boolean optional
invoice_settings object optional
issuer object optional
type string required
account string optional
account_tax_ids object optional
pause_collection object optional
payment_behavior string optional
payment_settings object optional
payment_method_types object optional
payment_method_options object optional
pix object optional
upi object optional
card object optional
payto object optional
konbini object optional
acss_debit object optional
bancontact object optional
sepa_debit object optional
us_bank_account object optional
customer_balance object optional
save_default_payment_method string optional
add_invoice_items array optional
price string optional
period object optional
end object required
type string required
timestamp integer optional
start object required
type string required
timestamp integer optional
metadata object optional
quantity integer optional
discounts array optional
coupon string optional
discount string optional
promotion_code string optional
tax_rates object optional
price_data object optional
product string required
currency string required
unit_amount integer optional
tax_behavior string optional
unit_amount_decimal string optional
collection_method string optional
…9 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/customers/{customer}/subscriptions/{subscription_exposed_id}
DELETE /v1/customers/{customer}/subscriptions/{subscription_exposed_id}/discount

Removes the currently applied discount on a customer.

operationId: DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscount

Parameters

Name In Required Type Description
customer path required string
subscription_exposed_id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/customers/{customer}/subscriptions/{subscription_exposed_id}/discount
GET /v1/customers/{customer}/subscriptions/{subscription_exposed_id}/discount
operationId: GetCustomersCustomerSubscriptionsSubscriptionExposedIdDiscount

Parameters

Name In Required Type Description
customer path required string
expand query optional array

Specifies which fields in the response should be expanded.

subscription_exposed_id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/subscriptions/{subscription_exposed_id}/discount
GET /v1/customers/{customer}/tax_ids

Returns a list of tax IDs for a customer.

operationId: GetCustomersCustomerTaxIds

Parameters

Name In Required Type Description
customer path required string
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/tax_ids
POST /v1/customers/{customer}/tax_ids

Creates a new tax_id object for a customer.

operationId: PostCustomersCustomerTaxIds

Parameters

Name In Required Type Description
customer path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
type string required
value string required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/customers/{customer}/tax_ids
DELETE /v1/customers/{customer}/tax_ids/{id}

Deletes an existing tax_id object.

operationId: DeleteCustomersCustomerTaxIdsId

Parameters

Name In Required Type Description
customer path required string
id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/customers/{customer}/tax_ids/{id}
GET /v1/customers/{customer}/tax_ids/{id}

Retrieves the tax_id object with the given identifier.

operationId: GetCustomersCustomerTaxIdsId

Parameters

Name In Required Type Description
customer path required string
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/customers/{customer}/tax_ids/{id}

Disputes 4 endpoints

GET /v1/disputes

Returns a list of your disputes.

operationId: GetDisputes

Parameters

Name In Required Type Description
charge query optional string

Only return disputes associated to the charge specified by this charge ID.

created query optional

Only return disputes that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_intent query optional string

Only return disputes associated to the PaymentIntent specified by this PaymentIntent ID.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/disputes
GET /v1/disputes/{dispute}

Retrieves the dispute with the given ID.

operationId: GetDisputesDispute

Parameters

Name In Required Type Description
dispute path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/disputes/{dispute}
POST /v1/disputes/{dispute}

When you get a dispute, contacting your customer is always the best first step. If that doesn’t work, you can submit evidence to help us resolve the dispute in your favor. You can do this in your dashboard, but if you prefer, you can use the API to submit evidence programmatically.

Depending on your dispute type, different evidence fields will give you a better chance of winning your dispute. To figure out which evidence fields to provide, see our guide to dispute types.

operationId: PostDisputesDispute

Parameters

Name In Required Type Description
dispute path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
submit boolean optional
evidence object optional
receipt string optional
service_date string optional
customer_name string optional
refund_policy string optional
shipping_date string optional
billing_address string optional
shipping_address string optional
shipping_carrier string optional
enhanced_evidence object optional
customer_signature string optional
uncategorized_file string optional
uncategorized_text string optional
access_activity_log string optional
cancellation_policy string optional
duplicate_charge_id string optional
product_description string optional
customer_purchase_ip string optional
cancellation_rebuttal string optional
service_documentation string optional
customer_communication string optional
…8 more object optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/disputes/{dispute}
POST /v1/disputes/{dispute}/close

Closing the dispute for a charge indicates that you do not have any evidence to submit and are essentially dismissing the dispute, acknowledging it as lost.

The status of the dispute will change from needs_response to lost. Closing a dispute is irreversible.

operationId: PostDisputesDisputeClose

Parameters

Name In Required Type Description
dispute path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/disputes/{dispute}/close

Entitlements 6 endpoints

GET /v1/entitlements/active_entitlements

Retrieve a list of active entitlements for a customer

operationId: GetEntitlementsActiveEntitlements

Parameters

Name In Required Type Description
customer query required string

The ID of the customer.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/entitlements/active_entitlements
GET /v1/entitlements/active_entitlements/{id}

Retrieve an active entitlement

operationId: GetEntitlementsActiveEntitlementsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

The ID of the entitlement.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/entitlements/active_entitlements/{id}
GET /v1/entitlements/features

Retrieve a list of features

operationId: GetEntitlementsFeatures

Parameters

Name In Required Type Description
archived query optional boolean

If set, filter results to only include features with the given archive status.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

lookup_key query optional string

If set, filter results to only include features with the given lookup_key.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/entitlements/features
POST /v1/entitlements/features

Creates a feature

operationId: PostEntitlementsFeatures

Request Body

required
application/x-www-form-urlencoded
Property Type Required
name string required
expand array optional
metadata object optional
lookup_key string required

Responses

default

Error response.

200

Successful response.

POST /v1/entitlements/features
GET /v1/entitlements/features/{id}

Retrieves a feature

operationId: GetEntitlementsFeaturesId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

The ID of the feature.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/entitlements/features/{id}
POST /v1/entitlements/features/{id}

Update a feature’s metadata or permanently deactivate it.

operationId: PostEntitlementsFeaturesId

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
name string optional
active boolean optional
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/entitlements/features/{id}

Ephemeralkeys 2 endpoints

POST /v1/ephemeral_keys

Creates a short-lived API key for a given resource.

operationId: PostEphemeralKeys

Request Body

application/x-www-form-urlencoded
Property Type Required
nonce string optional
expand array optional
customer string optional
issuing_card string optional
verification_session string optional

Responses

default

Error response.

200

Successful response.

POST /v1/ephemeral_keys
DELETE /v1/ephemeral_keys/{key}

Invalidates a short-lived API key for a given resource.

operationId: DeleteEphemeralKeysKey

Parameters

Name In Required Type Description
key path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

DELETE /v1/ephemeral_keys/{key}

Events 2 endpoints

GET /v1/events

List events, going back up to 30 days. Each event data is rendered according to Stripe API version at its creation time, specified in event object api_version attribute (not according to your current Stripe API version or Stripe-Version header).

operationId: GetEvents

Parameters

Name In Required Type Description
created query optional

Only return events that were created during the given date interval.

delivery_success query optional boolean

Filter events by whether all webhooks were successfully delivered. If false, events which are still pending or have failed all delivery attempts to a webhook endpoint will be returned.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

type query optional string

A string containing a specific event name, or group of events using * as a wildcard. The list will be filtered to include only events with a matching event property.

types query optional array

An array of up to 20 strings containing specific event names. The list will be filtered to include only events with a matching event property. You may pass either type or types, but not both.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/events
GET /v1/events/{id}

Retrieves the details of an event if it was created in the last 30 days. Supply the unique identifier of the event, which you might have received in a webhook.

operationId: GetEventsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/events/{id}

Exchangerates 2 endpoints

GET /v1/exchange_rates

[Deprecated] The ExchangeRate APIs are deprecated. Please use the FX Quotes API instead.

Returns a list of objects that contain the rates at which foreign currencies are converted to one another. Only shows the currencies for which Stripe supports.

operationId: GetExchangeRates

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is the currency that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with the exchange rate for currency X your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and total number of supported payout currencies, and the default is the max.

starting_after query optional string

A cursor for use in pagination. starting_after is the currency that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with the exchange rate for currency X, your subsequent call can include starting_after=X in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/exchange_rates
GET /v1/exchange_rates/{rate_id}

[Deprecated] The ExchangeRate APIs are deprecated. Please use the FX Quotes API instead.

Retrieves the exchange rates from the given currency to every supported currency.

operationId: GetExchangeRatesRateId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

rate_id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/exchange_rates/{rate_id}

Externalaccounts 1 endpoints

POST /v1/external_accounts/{id}

Updates the metadata, account holder name, account holder type of a bank account belonging to a connected account and optionally sets it as the default for its currency. Other bank account details are not editable by design.

You can only update bank accounts when account.controller.requirement_collection is application, which includes Custom accounts.

You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.

operationId: PostExternalAccountsId

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
name string optional
expand array optional
exp_year string optional
metadata object optional
documents object optional
bank_account_ownership_verification object optional
files array optional
exp_month string optional
address_zip string optional
account_type string optional
address_city string optional
address_line1 string optional
address_line2 string optional
address_state string optional
address_country string optional
account_holder_name string optional
account_holder_type string optional
default_for_currency boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/external_accounts/{id}

Files 3 endpoints

GET /v1/files

Returns a list of the files that your account has access to. Stripe sorts and returns the files by their creation dates, placing the most recently created files at the top.

operationId: GetFiles

Parameters

Name In Required Type Description
created query optional

Only return files that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

purpose query optional string

Filter queries by the file purpose. If you don’t provide a purpose, the queries return unfiltered files.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/files
POST /v1/files

To upload a file to Stripe, you need to send a request of type multipart/form-data. Include the file you want to upload in the request, and the parameters for creating a file.

All of Stripe’s officially supported Client libraries support sending multipart/form-data.

operationId: PostFiles

Request Body

required
multipart/form-data
Property Type Required
file string required
expand array optional
purpose string required
file_link_data object optional
create boolean required
metadata object optional
expires_at integer optional

Responses

default

Error response.

200

Successful response.

POST /v1/files
GET /v1/files/{file}

Retrieves the details of an existing file object. After you supply a unique file ID, Stripe returns the corresponding file object. Learn how to access file contents.

operationId: GetFilesFile

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

file path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/files/{file}

Financialconnections 4 endpoints

GET /v1/financial_connections/accounts

Returns a list of Financial Connections Account objects.

operationId: GetFinancialConnectionsAccounts

Parameters

Name In Required Type Description
account_holder query optional object

If present, only return accounts that belong to the specified account holder. account_holder[customer] and account_holder[account] are mutually exclusive.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

session query optional string

If present, only return accounts that were collected as part of the given session.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/financial_connections/accounts
GET /v1/financial_connections/accounts/{account}

Retrieves the details of an Financial Connections Account.

operationId: GetFinancialConnectionsAccountsAccount

Parameters

Name In Required Type Description
account path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/financial_connections/accounts/{account}
POST /v1/financial_connections/accounts/{account}/disconnect

Disables your access to a Financial Connections Account. You will no longer be able to access data associated with the account (e.g. balances, transactions).

operationId: PostFinancialConnectionsAccountsAccountDisconnect

Parameters

Name In Required Type Description
account path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/financial_connections/accounts/{account}/disconnect
GET /v1/financial_connections/accounts/{account}/owners

Lists all owners for a given Account

operationId: GetFinancialConnectionsAccountsAccountOwners

Parameters

Name In Required Type Description
account path required string
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

ownership query required string

The ID of the ownership object to fetch owners from.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/financial_connections/accounts/{account}/owners
Load more endpoints